uk.gov.hmrc.ct.ct600.calculations

# Ct600AnnualConstants

###
Related Docs: trait Ct600AnnualConstants | package calculations

#### object Ct600AnnualConstants extends Ct600AnnualConstants

Linear Supertypes
Ct600AnnualConstants, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Ct600AnnualConstants
2. Ct600AnnualConstants
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def constantsForTaxYear(taxYear: TaxYear): CtConstants

   Definition Classes
     Ct600AnnualConstants

7. #### val data: Map[TaxYear, CtConstants]

   Definition Classes
     Ct600AnnualConstants → Ct600AnnualConstants

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getConstantsFromYear(year: Int): CtConstants

    Definition Classes
      Ct600AnnualConstants

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def lowProfitsThreshold(numberOfCompanies: Option[Int]): Int

16. #### val maxYear: TaxYear

    Definition Classes
      Ct600AnnualConstants → Ct600AnnualConstants

17. #### val minYear: TaxYear

    Definition Classes
      Ct600AnnualConstants → Ct600AnnualConstants

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Ct600AnnualConstants

### Inherited from AnyRef

### Inherited from Any

### Ungrouped